For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
Dashboard
LogoLogo
CURRENCIES

Verify Wallet Address

||View as Markdown|
GET
https://api-stg.transak.com/cryptocoverage/api/v1/public/verify-wallet-address
GET
/cryptocoverage/api/v1/public/verify-wallet-address
$curl -G https://api-stg.transak.com/cryptocoverage/api/v1/public/verify-wallet-address \
> -H "Content-Type: application/json" \
> -d cryptoCurrency=ETH \
> -d network=mainnet \
> -d walletAddress=0x742d35Cc6634C0532925a3b844Bc454e4438f44e
1{
2 "response": true
3}

This API verifies a wallet address. Based on its response, either true or false, you can determine whether the wallet address is valid.

Was this page helpful?
Previous

Get Price

Next

Getting Started

Built with

Query parameters

cryptoCurrencystringRequired
Crypto currency symbol.
networkstringRequired
Crypto currency network name.
walletAddressstringRequired
Wallet address to validate.

Response

Wallet address verification result
responseboolean

Errors

400
Bad Request Error